using Newtonsoft.Json;

namespace DisqusSharp
{
    /* Note: make isdefault and forumid nullable values coz GetThreads() returns category with only id and title defined. 
     */
    public class Category
    {
        [JsonProperty("is_default")]
        public bool? IsDefault { get; set; }

        [JsonProperty("title")]
        public string Title { get; set; }

        [JsonProperty("id")]
        public int ID { get; set; }

        [JsonProperty("forum_id")]
        public int? ForumID { get; set; }
    }
}