﻿using System;
using Newtonsoft.Json;

namespace DisqusSharp
{
    public class Thread
    {
        [JsonProperty("category")]
        public Category Category { get; set; }

        [JsonProperty("allow_comments")]
        public bool AllowComments { get; set; }

        [JsonProperty("hidden")]
        public bool Hidden { get; set; }

        [JsonProperty("forum")]
        public int ForumID { get; set; }

        [JsonProperty("title")]
        public string Title { get; set; }

        [JsonProperty("url")]
        public string Url { get; set; }

        [JsonProperty("create_at")]
        public DateTime CreatedAt { get; set; }

        [JsonProperty("identifier")]
        public object[] Identifier { get; set; }

        [JsonProperty("id")]
        public int ID { get; set; }

        [JsonProperty("slug")]
        public string Slug { get; set; }
    }
}
