// Type: System.Net.WebException
// Assembly: System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089
// Assembly location: C:\Windows\Microsoft.NET\Framework\v2.0.50727\System.dll

using System;
using System.Runtime.Serialization;

namespace System.Net
{
    [Serializable]
    public class WebException : InvalidOperationException, ISerializable
    {
        public WebException();
        public WebException(string message);
        public WebException(string message, Exception innerException);
        public WebException(string message, WebExceptionStatus status);
        public WebException(string message, Exception innerException, WebExceptionStatus status, WebResponse response);
        protected WebException(SerializationInfo serializationInfo, StreamingContext streamingContext);
        public WebExceptionStatus Status { get; }
        public WebResponse Response { get; }

        #region ISerializable Members

        void ISerializable.GetObjectData(SerializationInfo serializationInfo, StreamingContext streamingContext);

        #endregion

        public override void GetObjectData(SerializationInfo serializationInfo, StreamingContext streamingContext);
    }
}
