namespace DisqusSharp
{
    public class DisqusInputInvalidException : DisqusWebException
    {
        public DisqusInputInvalidException(string message)
            : base(message, "input-invalid")
        {

        }

        public DisqusInputInvalidException(DisqusResponse disqusResponse)
            : base(disqusResponse)
        {
            if (disqusResponse.Code != "input-invalid")
                throw new DisqusException("DisqusResponse is not a DisqusInputInvalidException");
        }
    }
}